/*#########################################################################
#                                                                         #
#   Simple script shamelessly recopied from:                              #
#                                                                         #
#   Copyright                                                             #
#                                                                         #
#   (C)  2012 Martin Schlander <mschlander@opensuse.org                   #
#   (C)  2010 Anselmo Lacerda Silveira de Melo <anselmolsm@gmail.com>     #
#   (C)  2010 Emile de Weerd <mederel+radionederland@gmail.com>           #
#   (C)  2009 Àlvar Cuevas i Fajardo <alvar@cuevas.cat>                   #
#   (C)  2008 Eirik Johansen Bjørgan  <eirikjbj@gmail.com>                #
#   (C)  2007, 2008 Nikolaj Hald Nielsen  <nhnFreespirit@gmail.com>       #
#   (C)  2008 Peter ZHOU <peterzhoulei@gmail.com>                         #
#   (C)  2008 Mark Kretschmann <kretschmann@kde.org>                      #
#                                                                         #
#   This program is free software; you can redistribute it and/or modify  #
#   it under the terms of the GNU General Public License as published by  #
#   the Free Software Foundation; either version 2 of the License, or     #
#   (at your option) any later version.                                   #
#                                                                         #
#   This program is distributed in the hope that it will be useful,       #
#   but WITHOUT ANY WARRANTY; without even the implied warranty of        #
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         #
#   GNU General Public License for more details.                          #
#                                                                         #
#   You should have received a copy of the GNU General Public License     #
#   along with this program; if not, write to the                         #
#   Free Software Foundation, Inc.,                                       #
#   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.         #
##########################################################################*/

Importer.loadQtBinding("qt.core");
Importer.loadQtBinding("qt.gui");

function Station( name, url, description )
{
    this.name = name;
    this.url = url;
    this.description = description;
}

categories = new Object;

var p4Desc = "P4 er den største og mest aflyttede danske radiokanal med et mix af landsdækkende og regionale programmer. Fra DRs 11 regioner følger P4 lytterne døgnet rundt med et alsidigt udbud af moderne public service radio.<p>Fra DRs 11 regioner hjælper vi dig igennem din dag med god musik; vi giver dig både de brede og de hurtige nyheder, og så kan vi hjælpe dig på vej i trafikken.<p>P4 - nærmest din egen radio.";

categories["Danmarks Radio"]= new Array(
    new Station( "DR Mama", "http://live-icy.gss.dr.dk:8000/A/A18H.mp3.m3u", "Ny ungdomskanal i tæt samspil med tv og net." ),
    new Station( "DR Ramasjang Radio", "http://live-icy.gss.dr.dk:8000/A/A24H.mp3.m3u", "Børnekanal i tæt samspil med tv og net.<p>DR Ramasjang Radio er humørfyldt radio, der tager børnene alvorligt, involverer dem og giver dem medindflydelse. Samtidig er DR Ramasjang Radio den radiokanal, forældre trygt kan lade deres børn lytte til - uden at skulle bekymre sig om, at børnene hører noget, der er for uhyggeligt eller uvedkommende." ),      
    new Station( "P1", "http://live-icy.gss.dr.dk:8000/A/A03H.mp3.m3u", "P1 er den moderne oplysningskanal med nyheder og samfundsstof, der skaber indsigt. Her sættes politik og hverdag til debat i interviews, analyser og reportager. P1 søger årsager og tendenser bag de aktuelle nyheder og sætter begivenhederne i perspektiv.<p>Man behøver ikke sidde stille og lytte i timevis for at få noget ud af P1. Vi går grundigt til værks og kommer godt i dybden, men der er mulighed for at stå af og på undervejs. Rigtig mange af P1s programmer kan downloades og høres som podcasting - hvor du vil og når du vil." ),
    new Station( "P2 Klassisk", "http://live-icy.gss.dr.dk:8000/A/A04H.mp3.m3u", "P2 er radiokanalen for dig som har musik og kultur som en vigtig del af dit liv, og som gerne vil opleve og følge med i alt det der sker.<p>P2 er for dig som elsker god musik, hvad enten den er klassisk, jazz, verdensmusik eller alt det spændende ind imellem.<p>På P2 bliver du hver eftermiddag i P2 Plus opdateret på alt det der sker i kulturen lige nu: film, litteratur, musik, teater, kunst og det du ikke anede eksisterede. I P2s magasinprogrammer i weekenden kan du gå mere i dybden med de dele af kulturen, der interesserer dig mest.<p>P2 kan du bruge både til fordybelse og som gå-til-og-fra-radio på din vej gennem dagen derhjemme eller på arbejdet, på pc'en, i bilen, i toget." ),
    new Station( "P3", "http://live-icy.gss.dr.dk:8000/A/A05H.mp3.m3u", "P3 er radiokanalen for moderne unge og voksne, der kan lide at blive udfordret - både musikalsk og indholdsmæssigt.<p>Musikken på P3 er et alsidigt og varierende mix af ny spændende musik, morgendagens stjerner, nutidens hits og banebrydende klassikere.<p>Journalistisk sender P3 både P3 Nyheder klokken hel og uddybende interviews morgen og eftermiddag, ofte med usædvanlige vinkler på nutidige og aktuelle emner.<p>Satiren på P3 er ikke kun sjov og fis. P3s satire har vid og bid, og kradser i både aktuelle og klassiske emner som optager danskerne.<p>Sporten byder på intens og direkte dækning af de store begivenheder i både ind- og udland, samtidig med at der informeres bredt om mange idrætsgrene." ),
    new Station( "P4 Bornholm", "http://live-icy.gss.dr.dk:8000/A/A06H.mp3.m3u", p4Desc ),
    new Station( "P4 Fyn", "http://live-icy.gss.dr.dk:8000/A/A07H.mp3.m3u", p4Desc ),
    new Station( "P4 København", "http://live-icy.gss.dr.dk:8000/A/A08H.mp3.m3u", p4Desc ),
    new Station( "P4 Midt & Vest", "http://live-icy.gss.dr.dk:8000/A/A09H.mp3.m3u", p4Desc ),
    new Station( "P4 Nordjylland", "http://live-icy.gss.dr.dk:8000/A/A10H.mp3.m3u", p4Desc ),
    new Station( "P4 Sjælland", "http://live-icy.gss.dr.dk:8000/A/A11H.mp3.m3u", p4Desc ),
    new Station( "P4 Syd", "http://live-icy.gss.dr.dk:8000/A/A12H.mp3.m3u", p4Desc ),
    new Station( "P4 Trekanten", "http://live-icy.gss.dr.dk:8000/A/A13H.mp3.m3u", p4Desc ),
    new Station( "P4 Østjyllands Radio", "http://live-icy.gss.dr.dk:8000/A/A14H.mp3.m3u", p4Desc ),
    new Station( "P5", "http://live-icy.gss.dr.dk:8000/A/A25H.mp3.m3u", "P5 byder på folkekære værter som Nis Boesdal, Jørgen de Mylius, Hans Otto Bisgaard, Søren Dahl, Karlo Staunskjær og Margaret Lindhardt.<p>Der er plads til både viser, dansktop, populærmusik og mulighed for at genhøre det bedste fra DR’s arkiver. Det sker i programmer som Dansktoppen, Gyldne Genhør, Giro 413, Eldorado, Nis på DAB og Cafe Hack." ),
    new Station( "P6 Beat", "http://live-icy.gss.dr.dk:8000/A/A29H.mp3.m3u", "Formidlet rytmisk musik, som ikke høres på de øvrige kanaler." ),
    new Station( "P7 Mix", "http://live-icy.gss.dr.dk:8000/A/A21H.mp3.m3u", "Formidlet hverdagsmusik og populærkultur." ),
    new Station( "P8 Jazz", "http://live-icy.gss.dr.dk:8000/A/A22H.mp3.m3u", "DR's digitale radiokanal - P8 Jazz - giver de åbne ører rytme, velbehag og nye toner fra jazzmusikkens forskellige lag. Vi går bag om den stolte musiktradition, der stadig finder nye veje og græsgange.<p> P8 Jazz er kanalen der spiller musik du ikke troede fandtes, musik du ikke troede du kunne li' og ikke mindst musik der virker som en doktorhammer på dit knæ.<p> Jazz er musik og værternes evige kærlighedspagt med jazzens djævel gør dem rustede til at servere lækkerier på snor. Fra velhængte årgange til de nyhøstede frugter." )
);


categories["Genrekanaler"]= new Array(
    new Station( "My ROCK", "http://stream.myrock.fm/myrock128", "Vi spiller bare rock." ),
    new Station( "Party People", "http://icelive0.03872-icelive0.cdn.qbrick.com/4936/03872_partypeople_dk_std", "Det perfekte mix af de største hits." ),
    new Station( "Partyzone.nu", "http://stream2.partyzone.nu:8080/", "Partyzone.nu startede med at sende i 2009. Vi ønsker at levere den bedste musik og underholdning til vore lyttere, med fokus på lytterne. Derfor har vi blandt andet indført et lytterpanel hvor du som lytter har en del at sige med henblik på hvad der spilles af musik i radioen.<p>Partyzone drives af folk der ved hvad det drejer sig om, alt laves på frivillig basis fordi vi elsker det vi laver. vi en god sammensætning af Djs, Radioværter, Teknikere der alle har en del års erfaring på netop deres område. Organisationen er sat sammen, så dem der ved mest om hvert enkelte område får dette som ansvar." ),
    new Station( "Retro Radio", "mms://streamer3.xmc.se/11212907", "Kanal Plus præsenterer Retro-radio. Som navnet antyder, beskæftiger radioen sig med tiden der var engang. Musikken vil primært være non-stop og med lyden fra 1960,70 & 80'erne.<p>Der vil næsten altid være mulighed for at kunne ønske musik - direkte fra radioens hjemmeside." ),
    new Station( "Run Nation", "http://icelive0.03872-icelive0.cdn.qbrick.com/4939/03872_runpeople_dk_std", "Musikken til løbeturen." ),
    new Station( "Specific Party Radio", "http://specific.dk/normal.pls", "Dance, House, Clubbing & Electro (Danmarks Ukronede Partyradio #1)." ),
    new Station( "We Love 80s", "http://icelive0.03872-icelive0.cdn.qbrick.com/4933/03872_welove80s_dk_std", "Musikken fra de glade 80'ere." )
);


categories["Mainstream"]= new Array(
    new Station( "Cool FM", "http://stream3.specific.dk/SR", "Netradio. De bedste hits på nettet." ),
    new Station( "MainFM", "http://mainfm.dk/streams/MainFM.pls", "Vi er Danmarks MainStream Net Radio.<p>Vi spiller hits fra 80'erne, 90'erne og i dag." ),
    new Station( "NOVAfm", "http://stream.novafm.dk/nova128", "Nova FM er Danmarks nye uafhængige landsdækkende reklamefinansierede radiokanal. Stationen overtager TV2 Radios sendenet, og er ejet af Radio 2 A/S. Radio2 A/S aktionærer er SBS Broadcasting (80 %) og TV2 (20 %). Nova FM overholder alle koncessions krav udstukket af Radio- og TV Nævnet.<p>Den nye station satser på en entydig musikprofil, nyheder fra TV2 News, magasin- og underholdningsprogrammer som præsenteres af erfarne radioværter." ),
    new Station( "Pop FM", "http://stream.popfm.dk/pop128", "Danmarks nye radio hvor vi spiller alle de bedste sange fra 4 årtier; 60'erne, 70'erne, 80'erne og 90'erne.<p>Pop FM er ejet af Berlingske Media og SBS Radio" ),
    new Station( "Radio 100", "http://onair.100fmlive.dk/100fm_live.mp3.m3u", "Med en god og varieret musikprofil, morsomme og intelligente værter samt en seriøs nyhedsformidling har Radio 100 leveret kvalitetsradio til de danske radiolyttere hele døgnet siden den 15. november 2003." ),
    new Station( "Specific Mainstream Radio", "http://one.specific.dk/normal.pls", "Genrene vil være top40, pophits, r'n'b, mainstream de sidste 20 år igennem - dem man havde egentlig havde glemt. Krydret med de lækre club tracks, som bare ikke kan undgås!" ),
    new Station( "Radio Soft", "http://onair.100fmlive.dk/soft_live.mp3", "Vi garanterer en rar og rolig stemning med de største danske og udenlandske ballader.<p>Musikken betyder alt på Radio Soft, hvor du altid kan slappe af til velkendte klassikere. Du kan blandt andet høre de største ballader af Phil Collins, Mariah Carey, Bryan Adams og Celine Dion." ),
    new Station( "Solo FM", "http://solo.radiostreaming.dk:8050/solo.m3u", "Solo FM spiller Hits du Husker, non-stop!<p>Her får du de bedste sange fra før og nu." ),
    new Station( "The Voice", "http://stream.voice.dk/voice128", "The Voice er Danmarks Hitstation. Vi spiller de største hits og bringer dig helt tæt på artisterne; både på The Voice og The Voice TV.<p>Vi giver dig Danmarks bedste morgenvækning i Vågn Op! Med The Voice med Benedicte Balling og Lars J. Chriz og Heino laver Danmarks eneste daglige, interaktive program, der sendes på både radio og tv.<p>Og hos os får du alle de nyeste clubhits og remixes hver fredag og lørdag aften i Clubland og The Voice In The Mix. Husk også American Top 40 med Ryan Seacrest hver weekend. Vi elsker at få post og vil altid gerne høre fra dig." )
);


categories["Region Hovedstaden"]= new Array(
    new Station( "Albertslund Nærradio", "http://debug.dk:8000/xstream.m3u", "AlbertslundNærRadio: Bytorvet 31-2tv., 2620 Albertslund." ),
    new Station( "Radio 10FM", "http://www.radio10fm.dk/playlist.m3u", "Radio 10FM - Hele Halsnæs Lokalradio, er idag en selvstændig, upolitisk, ikke religiøs non-kommerciel lokalradio, med base i Frederiksværk, Halsnæs Kommune. Radioen samarbejder med handicap-, uddannelses- og undervisningsinstitutioner m.fl." ),
    new Station( "Radio Ballerup", "http://centova2.shout-server.com/tunein.php/radio1/playlist.pls", "Radio Ballerup er en radiostation, som blev stiftet i den 20. august 1983, og sender i Ballerup og omegn. Den har til huse i Skovlunde." ),
    new Station( "Radio Halsnæs", "http://www.1045fm.dk/Netradio/winamp.pls", "Radio Halsnæs spiller de gode pop og rock-sange, som sætter følelserne i gang hos dig. Vi spiller de sange som du kender fra hitlisterne fra før og nu." ),
    new Station( "Radio HLR", "http://www.radiohlr.dk/wp/HLR.pls", "Hundested Lokal Radio vil sende lokale og landsdækkende nyheder hver time og musikformatet er meget bredt. Nemlig musik fra 50'erne og frem til i dag." ),
    new Station( "Radio Humleborg / Radio Nord Fredensborg", "http://media.wlmm.dk/humleborg.m3u", "Radio til Kongernes Nordsjælland og Storkøbenhavn.<p>Der sendes på nettet mandag til fredag 24 timer i døgnet.<p>Radio Nord sender fra Fredensborg med talkradio med en masse snak, information og indslag fra lokalområdet og verden omkring os.<p>Radio Nord gik i luften, november 2008 med en række prøveudsendelser. I januar 2009, kom der mere struktur på sendefladen og fra 1. april 2009 blev de endelige sendetider fastlagt.<p>Den 14. november kom Radio Nord Fredensborgs netradio i gang." ),
    new Station( "Station Amager", "http://50.7.247.102:10010/", "Station Amager kan høres over hele Amager, men også store dele af hovedstaden kan være med på en lytter.<p>Station Amager er et sendesamvirke mellem 4 sendetilladelseshavere, som til sammen sender hver dag klokken 06.00 - 18.00 på FM 103,4 MHz<p>Vi spiller en god blanding af musik fra 60´erne og frem til i dag. Musikken bliver sammensat på en sådan måde at at den netop rammer bredest muligt. Det betyder, at du ikke kun høre tidens Top 40 musik, men også velkendt og anerkendt kvalitets musik.<p>Desuden sender vi en bred række af niche programmer. Det betyder, at du her hos os kan høre udsendelser om og med Jazzmusik, Reggae Musik, Musikportrætter, rockmusik og bilmagasin. Desuden bringes lokalsport og information om aktiviteter i området.<p>Station Amager er meget mere - end blot en non stop musikradio." )
);


categories["Region Midtjylland"]= new Array(
    new Station( "go!FM", "http://gofm.radiostreaming.dk:8050/gofm.m3u", "go!FM er radio for dig, der bor i Aarhus. Radiostationen udgår fra Aarhus med studier i midtbyen, bemandet af lokale studieværter. go!FM er radio med lokalt indhold." ),
    new Station( "Radio 1", "http://cent9.directhostingcenter.com/tunein.php/radio1/playlist.pls", "Målet er at være en selvstændig og seriøs medie-virksomhed, som underholder, informerer og skaber debat i hele sendeområdet - det Midt- Østjyske. Alle udsendelser er politisk uafhængige og ligeledes også i forhold til fagpolitik, religion og økonomiske særinteresser. Radioens eksistens beror udelukkende på reklameindtægter.<p>RADIO 1 ligger i smørhullet af det midtjyske søhøjland, der er berømt for sine mange skove, bakker, smukke søer og ikke mindst verdens ældste hjuldamper.<p>RADIO 1, herunder Radio Silkeborg af 1997 A/S ejes af Midtjyllands Avis." ),  
    new Station( "Mediehus Århus", "http://5.56.151.197:8000/", "Mediehus Aarhus står bag byens eneste lokale radiostation, hvor frivillige ildsjæle har mulighed for at lave programmer. Radioen sender mere end 50 timers radio om ugen på 98.7 og 93.7 mhz, og her på hjemmesiden.<p>Programmerne er præget af stor mangfoldighed. Her blander professionelle mediefolk sig med kompetente græsrødder, og ud i æteren kommer der underholdende, tankevækkende og anderledes radio." ),
    new Station( "Radio ABC", "http://abc.radiostreaming.dk:8050/abc.m3u", "Radio ABC er en dansk kommerciel lokalradio, der har hjemsted i Randers og sender til Kronjylland og Djursland. Radio ABC blev grundlagt i 1990 og er med en share på 3,1% en af de større lokale radiostationer i Danmark." ),
    new Station( "Radio Alfa", "http://alfa.radiostreaming.dk:8050/alfa.m3u", "En søsterkanal til radio ABC. Sender til Midt- og Østjylland." ),
    new Station( "Radio Alfa Midtjylland", "http://alfa.radiostreaming.dk:8050/midtjylland.m3u", "Fredag den 1. juli 2011 åbnede en helt ny radiostation her i området, nemlig Radio ALFA Midtjylland.<p>Radio ALFA spiller alletiders bedste sange med en bred vifte at de største hits fra de seneste årtier til i dag. Man vil kunne høre dansk musik med f.eks. Kim Larsen, Poul Krebs, Thomas Helmig, Shu-bi-dua og blandt udenlandske kunstnere er det f.eks. Michael Jackson, Bruce Springsteen, ABBA, Elvis og mange andre.<p>Radio Alfa Midtjylland er en del af Mediehuset Herning Folkeblad." ),
    new Station( "Radio VLR Horsens", "http://horsens.radiostreaming.dk:8050/horsens.m3u", "Horsens Lokal Radio med hits, nyheder og lokalstof.<p>I juni 2011 blev det besluttet at fusionere Radio VLR og Radio Horsens, det fortsættende navn bliver Radio VLR, og sender fortsat fra Vejle." ),
    new Station( "Radio M", "http://radiom.radiostreaming.dk:8050/radiom.m3u", "Stefan Madsen har, ud over et dansk og jysk mesterskab i bantamvægt, et indgående kendskab til pop- og rockmusik – og han er særdeles kræsen. Derfor kan du være sikker på kun at høre det bedste fra den danske og udenlandske scene, når Stefan blænder op for To til 6 fra kl. 14 hver dag. Lytterne er en aktiv del af fladen, fortæller Stefan som opfordrer lytterne til at ringe ind, ønske musik og tale om, hvad der sker lokalt.<p>Underholdning, konkurrencer, mere eller mindre besynderlige indfald og masser af god musik – sørg for, at det er Madsen, der er i kassen!<p>Fra Herning." ),
    new Station( "Radio Skive", "http://skive.radiostreaming.dk:8050/skive.m3u", "Radio Skive er en dansk kommerciel lokalradio, som er en del af Radio ABC Gruppen. Kanalen har hjemsted i Skive og sender til Midtjylland og Vestjylland, samt online på nettet.<p>Radio Skive er med i nyhedssamarbejdet Landsnyheder til lokalradioer i Danmark og sender derudover lokale nyheder." ),
    new Station( "Radio Viborg", "http://viborg.radiostreaming.dk:8050/viborg.m3u", "Radio Viborg startede i Viborg den 21. marts 1984. Stationen var fra sidste halvdel af 80'erne til sidst i 90'erne landets største lokale radiostation med over 300.000 lyttere, 22 ansatte og over 100 frivillige." ),
    new Station( "Syddjurs Lokalradio", "http://stream.wlmm.dk/djurs.m3u", "Her kan du lytte til INFO Radio, Radio Djursland og Radio Rønde - Syddjurs Lokalradio, samt Radio ALFA."),
    new Station( "Øst FM", "http://www.oestfm.dk/radio.m3u", "Radioen sendte første gang 5.8.1998. Flere af radioværterne havde sendt på den tidligere Radio 1eren i Aarhus.")
);


categories["Region Nordjylland"]= new Array(
    new Station( "ANR", "http://www.anr.dk/upload/anr.m3u", "ANR er ejet af NORDJYSKE Medier og har til huse i Aalborg Øst - et stenkast fra Gigantium ved motorvej E 45.<p>ANR er en kommerciel, reklamefinansieret radio med nyheder, sport, trafik og underholdning fra først og fremmest Nordjylland men også verden omkring os.<p>ANR er en radiostation for aktive nordjyder og byder på masser af konkurrencer og events.<p>R spiller musik for voksne unge med det seneste fra hitlisterne krydret med de foregående 20 års bedste musik. Fredag og lørdag aften tager vi dog også tilbage til midt i 70'erne, når vi byder på Funkytown.<p>ANR kan høres fra Skagen i nord til Hobro i syd og fra Hals i Øst til Thisted i vest." ),
    new Station( "ANR Alternativ", "http://icecast.xstream.dk/anralternativ.m3u", "ANR er en radio, der kan høres på FM-båndet i Nordjylland samt online og på smartphones." ),
    new Station( "ANR Demo", "http://icecast.xstream.dk/anrdemo.m3u", "ANR er en radio, der kan høres på FM-båndet i Nordjylland samt online og på smartphones." ),
    new Station( "ANR Hits", "http://icecast.xstream.dk/anrhits.m3u", "ANR er en radio, der kan høres på FM-båndet i Nordjylland samt online og på smartphones." ),
    new Station( "ANR Rock", "http://icecast.xstream.dk/anrrock.m3u", "ANR er en radio, der kan høres på FM-båndet i Nordjylland samt online og på smartphones." ),
    new Station( "Limfjord Plus", "http://stream.wlmm.dk/limfjordplus.m3u", "Radio Limfjord sendte første gang 31. oktober 1987. Det var ikke uden problemer at få fremskaffet den nødvendige kapital til at etablere lokalradio på Mors. Men med velvillighed fra en stor gruppe erhvervsdrivende på øen, lykkedes det at skrabe penge nok sammen til at begynde udsendelserne den 31. oktober 1987.<p>I modsætning til i starten er sendefladen skarpt formatteret, således at vi sender et varieret mix af god musik krydret med lokale, nationale og internationale nyheder." ), 
    new Station( "Radio Aalborg", "http://78.47.19.105:8000/radioaalborg.ogg.m3u", "Radio Aalborg gik i luften første gang d. 25. september 1983, som en af landets første lokalradioer, og har siden den tid sendt uafbrudt fra de samme lokaler i Bleggårdsgangen 3.<p>Fra starten er radioen udelukkende drevet af frivillige, både på den ledelsesmæssige og den redaktionelle del, og når man udover dette tager i betragtning at de eneste indtægtskilder er medlemskontingenter og offentlig støtte, er det en præstation stadig at være her efter så mange år. I dag sender Radio Aalborg 16,5 timer om ugen, fordelt over alle dage, undtagen lørdag.<p>Radio Aalborg er Aalborgensernes talerør. Filosofien bag radioen er at alle har mulighed for at komme til orde, hvilket vil sige at her kan den lille forening få deres budskab ud og såfremt der er ledige stillinger, kan man komme til at prøve kræfter af som radiovært. Radioen tilbyder en bred vifte af programmer, som ikke er begrænset til én genre af musik eller én type af program. Sidst men ikke mindst er stationen reklamefri, hvilket giver lytteren en mulighed for at nyde musik, interviews osv. helt uden afbrydelser!" ),    
    new Station( "Radio Aura", "http://www.radioaura.dk/upload/aura.m3u", "Radio Aura er musik fra hjertet, til hjertet. Et lydtæppe af verdens bedste soft-hits som danner den perfekte baggrund for din hverdag – både derhjemme og på arbejde. Radio Aura lægger et tæppe af vellyd under din dag. Musik – kun afbrudt af nyheder. Radio Aura – du vil elske den. Sender non-stop hver dag." ),
    new Station( "Radio Limfjord", "http://stream.wlmm.dk/limfjord.m3u", "Kommerciel radio, der spiller voksen hitmusik." ),
    new Station( "Skaga FM", "http://stream.wlmm.dk/skagafm.m3u", "Lyden af Vendsyssel.<p>Når du stiller din radio ind på Skaga FM er du sikker på at at blive opdateret på alt som sker i dit nærområde samt en blanding af alle de hits du kender." ),
    new Station( "Tiger FM / Skagen Nærradio", "http://85.202.67.163:8000/stream.mp3.m3u", "Tiger FM / Skagen Nærradio er Danmarks nordligste radiostation. Den blev helt historisk startet op den 20. juni 1987, hvilket gør den til en af danmarks ældste uafhængige lokalradioer.<p>Musikgenrene strækker sig fra det mere generelle, mainstream over musikønsker (mere end 50 % af sendefladen) - til specialprogrammer som omhandler harmonikamusik, svensk top, - til død og ødelæggelse i Hardbox' heavy metal univers." )
);


categories["Region Sjælland"]= new Array(
    new Station( "Radio Køge", "http://koege.radiostreaming.dk:8050/koege.m3u", "Kommerciel lokalradio i Køge-området der virker på et alsidigt grundlag og med lokalsamfundet som udgangspunkt." ),
    new Station( "Radio Odsherred", "http://5.103.128.66:88/broadwave.mp3", "For alle, der synes det er vigtigt med et uafhængigt ikke-kommercielt æterbårent medie i Odsherred - såvel som andre egne - i en tid, hvor informationsstrømmen i yderkantsområder tenderer til monopolisering og reklameafhængighed." ),
    new Station( "Radio SLR", "http://slr.radiostreaming.dk:8050/slr.m3u", "Radio SLR er en kommerciel radiostation som sender til størstedelen af Region Sjælland, og den primære målgruppe er 18 - 49 årige.<p>Hovedvægten er lagt på underholdende radio med musik, lokale og regionale nyheder.<p>Musikken består af de bedste hits fra 80’erne, 90’erne og i dag.<p>Radio SLR spiller primært de gode pop og rock-sange, som sætter følelserne i gang hos dig." ),
    new Station( "Radio Sydhavsøerne", "http://netradio.dk/", "Radio Sydhavsøerne spiller masser af hitmusik, blandet med nyheder, lokale informationer, reklamer, konkurrencer og pudsige påfund. Musikstilen er en blanding af stærke hits fra 80erne og frem til de nyeste hits.<p>Radio Sydhavsøernes 17 lønnede medarbejdere sørger for, at 64.000 ugentlige lyttere får mere levende radio." )
);


categories["Region Syddanmark"]= new Array(    
    new Station( "Globus Guld", "http://stream.wlmm.dk/globusguld.m3u", "Globus Guld bringer det gode humør frem hos de syd- og sønderjyske lyttere. Vi leverer syng-med-musik fra 60´erne, 70´erne, 80´erne, 90´erne og frem til i dag og tilfører hverdagen et strejf af solskin og godt humør fra dengang musik blev spillet med hjertet.<p>Globus Guld leverer syng-med-musik fra morgen til aften, sport, vejret samt lokale- og landsdækkende nyheder hver time, hver dag, hver uge, hver måned – Hele året! Globus Guld har leveret syng-med-radio til Syd- og Sønderjyderne siden 2003 og er hele Syd- og Sønderjyllands førende lokalradio for syng-med-folket.<p>Vi har til huse i Sdr. Hygum ved Rødding og er stolte af at være Syd- og Sønderjydernes foretrukne radiostation når der skal synges med!." ),
    new Station( "Klubben", "http://streaming.fynskemedier.dk/radio3.m3u", "En radiostation og meget mere som man bli'r glad af." ),
    new Station( "Komitéens Radio", "http://188.183.214.206:8000/komiteens.ogg", "Radioen havde sin opstart 1. september 1990 med sendetilladelse til \"Ældrekomitéen i den indre by\". Ifølge formålsparagraffen skal radioen servicere og underholde lytterne i aldren fra 40-50 år og opefter.<p>Udsendelserne består dels af oplysninger fra kommunen, foreninger samt andet af interesse for målgruppen. Radioens medarbejdere er alle frivillige og er ulønnede.<p>Radioen har været i en rivende udvikling siden starten og har i dag over 700 medlemmer, foruden en større fast lytterskare." ),
    new Station( "Radio 2000", "http://188.183.214.206:8000/deltatek1.ogg.m3u", "Radio 2000 er en spændende og kreativ lokalradio for de unge der er blevet lidt ældre.<p>Der sendes en bred vifte af programmer. Nogle af de programmer vi har på Radioen er Quiz, køb, salg & bytte, auktioner, ønskeprogrammer, Oldies, Nordisk time, Country & Dansktop.<p>Hver uge, om tirsdagen har vi kunstnere i studiet og meget andet spændende!<p>Sender fra Ringe på Fyn." ),  
    new Station( "Radio Alfa Sydfyn", "http://icecast3.radiostuff.dk:8000/Alfasydfyn128.m3u", "Hele sydfyns lokale radiostation.<p>Vi sender fra Svendborg og Langeland på hhv. FM 106,5 MHz og FM 106,9 MHz.<p>Om søndagen sender Radio Alfa Sydfyn dog ikke på FM 106,5 MHz - her er sendetiden overladt til en anden radiostation, Radio Aktiv.<p>Radio Alfa Sydfyn spiller masser af musik fra 1960'erne og frem til i dag. Udover musikken har Alfa lokale og landsdækkende nyheder." ),
    new Station( "Radio Als", "http://stream.wlmm.dk/radioals.m3u", "Den bedste lokalradio.<p>Radio Als dækker hele Sønderborg kommune." ), 
    new Station( "Radio Charlie", "http://89.184.153.12:8000/radiocharlie.mp3", "Radio Charlie spiller alle tiders musik fra 80'erne, 90'erne og fra i dag.<p>Vi har intet imod jazz, klassisk violin, militærmusik eller andre spændende genrer. Men vi spiller det ikke.<p>Radio Charlie producerer masser af lokale nyheder og lokale indslag, der handler om mennesker og forhold i Varde Kommune." ),
    new Station( "Radio Diablo", "http://icecast3.radiostuff.dk:8000/Diablo128.m3u", "Hele sydfyns lokale radiostation.Vi sender døgnet rundt, hver eneste dag, hele året.<p>Radio Diablo er et hit-orienteret musikprogram krydret med bl.a. lokale og landsdækkende nyheder og sport, samt lokale informationer, indslag og underholdning." ),
    new Station( "Radio Globus", "http://stream.wlmm.dk/radioglobus.m3u", "Radio Globus krydrer hverdagens trivialiteter med kreativ og dynamisk underholdning for de friske.<p>Vi leverer masser af humor, nutidens hitmusik, sport, vejret samt lokale- og landsdækkende nyheder hver time, hver dag, hver uge, hver måned –Hele året!<p>Radio Globus er Syd- & Sønderjyllands førende lokalradio mht. LIVE-udsendelser fra lokationer i hele vort dækningsområde og gør meget ud af at tage del i vore lytteres hverdag og interesser.<p>Des mere vi kan involvere vore lyttere – Des bedre!<p>Radio Globus har leveret sjov og spændende radio til Syd- og Sønderjyderne siden 1999 og har til huse i Sdr. Hygum ved Rødding. Vi lægger stor vægt på det lokale islæt og er stolte af, at vi er Syd- og Sønderjyllands førende lokalradio!." ),
    new Station( "Radio Klitholm", "http://78.47.129.92:8000/klitholm.mp3?1322539174634.mp3", "Grunden til Radio Klitholm blev lagt i Hvide Sande Y's Men's Club, hvor Jørgen Christensen havde foreslået etablering af en lokalradio i Hvide Sande.<p>Et udvalg bestående af Jørgen Christensen, Frede Søndergård og Poul Poulsen blev nedsat. Da klubben ikke ønskede at gennemføre oplægget, arbejdede de tre videre med ideen. Gert Bjerregaard og Torkild Hansen blev optaget i gruppen.<p>Den 2. december 1986 kunne man stifte foreningen \"Lokalradio Klitholm\". I maj 1987 stiftedes en lytterforening og den 2. juli 1987 kl. 11 var der prøveudsendelse. Kl. 12 samme dag gik den første direkte udsendelse i æteren.<p>Målet for det første halve år var at skaffe 500 medlemmer. De 2 første dage nåede man over 900 medlemmer.<p>Grundlaget for en stor familie var lagt. Radioens positive linie, gode musik og engagerede studieværter var nyt i Vestjylland." ),
    new Station( "Radio Luna", "http://media.wlmm.dk/radioluna.m3u", "Radio Luna er en af Danmarks ældste lokalradioer, gik i luften første gang den 2. november 1989. Radio Luna drives af 15-20 frivillige, og vi kan sagtens være flere kreative personer til drive radioen. Kontakt os gerne for en uforpligtende samtale, hvis du er interesseret i at være med i spændende team, alt arbejde er ulønnet. Radio Luna henvender sig fortrinsvis til personer fra ca. 40 år og opefter.<p>Radio Luna sender 40 timer ugentlig og vores musikstil er dansk-tysk-engelsk samt nordisk musik, som er glad og lyttevenlig musik.<p>Radio Luna der er ureligiøs og partipolitisk neutral, modtager ikke offentlige midler, men drives alene af medlemskontingenter og gaver samt reklamer." ),
    new Station( "Radio Midtfyn", "http://188.183.214.206:8000/deltatek.ogg.m3u", "Radio Midtfyn spiller god og blandet musik for de unge der er blevet lidt ældre ..." ),
    new Station( "Radio Mojn", "http://mojn.radiostreaming.dk:8050/mojn.m3u", "Sønderjyllands førende radiostation. Radio Mojn dækker det meste af Sønderjylland." ),   
    new Station( "Radio S-FM", "http://media.wlmm.dk/sfm.m3u", "Sydfyns FM sendte for første gang den 3. marts 1995 i forbindelse med Faaborg Forårsmesse. Der blev sendt med lånt udstyr fra et spartansk studie i en lille campingvogn der var placeret bag Faaborg Hallen de tre dage messen varede.<p>1. Februar 2009 kom radioen så under Fynske Medier og er i dag en del af den store fynske mediekoncern som bla. ejer/driver Fyns Amts Avis - Fyens Stiftstidende og den lokale Radio3 i Odense." ),
    new Station( "Radio VLR", "http://streaming.fynskemedier.dk/vlr.m3u", "VLR er en dansk radiostation, der sender fra Vejle. VLR er en forkortelse af Vejle Lokal Radio.<p>Det er VAF Medier A/S-koncernen, der står bag VLR. Koncernen står ligeledes bag Vejle Amts Folkeblad og nogle andre lokale aviser og ugeblade." ),				
    new Station( "Radio Ådalen", "http://62.61.154.140:8000", "Radioen er ikke-kommerciel og har en medarbejderstab på 20 – 25 frivillige, der i det daglige sørger for, at der kommer udsendelser i æteren i 40 timer pr. uge.<p>Radio Ådalen startede sin radiovirksomhed den 14. november 1987, og har sendt lige siden.  Modsat mange andre lokalradioer startede Radio Ådalen ikke ved privat initiativ.  Det var Kulturel Samvirke i Egtved kommune, der tog initiativet til radioen. Radioen havde i starten studie i kælderen under den daværende sundhedsklinik ved Ødsted Skole, og er senere flyttet på 1. sal. Fra en start med enkle midler fremstår Radio Ådalen nu som en vel udbygget og moderne lokalradio.<p>Flere af radioens frivillige medarbejdere har været med fra starten, og de hygger sig stadig ved at lave radio.<p>Radioen har gennem tiderne haft flere store opgaver. Når der f.eks. er Vingstedmesse har Radio Ådalen sin egen stand, hvorfra der sendes direkte til kommunen. Radio Ådalen er altid med, når der er kulturuge. Først medvirker den ved omtale af aktiviteterne og dernæst deltager den i selve åbningen af Kulturugen med direkte transmission. Radioen har selv haft flere store projekter, f.eks. har man sat fokus på børn og unge i kommunen, der har været et projekt - Stoppestedet – en udsendelsesrække om og med psykisk syge, der har været et samarbejde med bosnierne i Vejle/Egtved, og i en længere periode sendte Den bosniske Radio via Radio Ådalens sendere. Radio Ådalen har, i samarbejde med den lokale amatørteatergruppe \"Blæksprutten\", lavet flere radiohørespil." ),
    new Station( "Skala.fm", "http://skala.radiostreaming.dk/Skala128.m3u", "Skala FM er en radiostation ejet af Syddanske Medier. Stationen er den største kommercielle radio i Syddanmark med 250.000 lyttere hver uge. Skala FM er i lyttertal Danmarks største kommercielle lokalradio." )
);


categories["Rigsfællesskabet"]= new Array(
    new Station( "Lindin", "http://sc4.spacialnet.com:14326/listen.pls", "Færøsk station." ),
    new Station( "Kringvarp Føroya", "mms://media-http.internet.fo/uf96", "Færøsk station." ),
    new Station( "Ràs 2", "mms://media.internet.fo/Ras2", "Færøsk station." )
);

categories["Studenterradio"]= new Array(
    new Station( "Odense Studenterradio", "http://www.osr879.dk/player/osr.pls", "Odense Studenterradio har eksisteret som de studerendes brugerflade i Odense siden grundlovsdag 1996. Dengang i Studenterhus Odense. Den blev startet af en håndfuld kreative mennesker der havde en mission - At sende radio lavet af studerende for studerende.<p>Sender ikke hele døgnet." ),
    new Station( "Radio US", "http://87.104.236.198/live", "RadioUS. Syddjurs Ungdomsskole." ),
    new Station( "Universitetsradioen København", "http://netradio.universitetsradioen.dk:8000/live64.ogg.m3u", "Musik, underholdning, debat og nyheder der har relevans for dit studieliv.<p>Sidder du med hovedet begravet i bøgerne og sukker efter at være blandt ligesindede?<p>Sender ikke hele døgnet." ),
    new Station( "USRadio", "mms://streamer3.xmc.se/11212906", "Ungdomsskolens Radio Helsingør" ),
    new Station( "XFM", "http://stream.xfm.dk:8000/", "XFM er studenterradio lavet af studerende for studerende. Vi sender alle hverdage en frisk blanding af ny musik og nyheder med fokus på DTU og naturvidenskaben. XFM Består af to radiostationer, der sender fra hhv. Lyngby og København.<p>Sender ikke hele døgnet." ),
    new Station( "Ålborg Studenterradio", "http://studenterradioen.dk/stream.m3u", "Radioen drives af frivillige studerende fra Aalborg Universitet og leverer musik, interviews, underholdning og relevante informationer til studerende i byen.<p>Sender ikke hele døgnet." ),
    new Station( "Århus Studenterradio", "http://aasr-stream.iha.dk:8000/;stream.mp3", "Århus Studenterradio er radio for og af studerende i Århus. Hver uge leverer mere end 40 frivillige medarbejdere kvalitetsradio der udfordrer dit intellekt, humoristiske sans og den alternative musiksmag du troede du havde.<p>Sender ikke hele døgnet." )
);


categories["Øvrige"]= new Array(
    new Station( "2012 Hits", "http://icelive0.03872-icelive0.cdn.qbrick.com/5684/03872_a1_dk_std", "2012 Hits." ),
    new Station( "Den2Radio / RadioJazz", "http://mp3stream.den2radio.dk/", "Siden 1. maj 2008 har den2Radio produceret en programflade med dybdegående kultur-, musik-, debat- og samfundsprogrammer.<p>D2R Jazz sendes i samarbejde med den københavnske lokalradio, Radio Jazz som kan høres i København og omegn på frekvensen 102,9 MHz på FM-båndet, 104,5 MHz på kabelnet, og altså nu som stream på internettet." ),
    new Station( "RadioUpdate", "mms://media3.xstream.dk/jp_radio", "Nyheder 24 timer i døgnet alle årets dage. Politik, erhverv, økonomi og kultur." ),
    new Station( "Kristen Netradio", "http://lyt.kristennetradio.dk:8000/", "Mere end bare musik." ),
    new Station( "Norea Radio Danmark", "http://radio.norea.dk:8080/", "Gennem en målrettet og strategisk brug af elektroniske medier vil Norea Radio Danmark (NRD) formidle evangeliet nationalt og globalt." ), 
    new Station( "Radio24syv", "http://ice2.sz.xlcdn.com:8000/sz=Radio24syv=ENC1_Android64.m3u", "Radio 24syv er en nyskabende og involverende radio med fokus på at give substans, skarp kant og perspektiv til nyhedsbilledet og til debat- og kulturstoffet og en moderne, dynamisk og mangfoldig public service-station, der har en ambition om at redefinere oplevelsen af taleradio." ),
    new Station( "Radioti", "http://www.serverroom.us/asx/listen269150.pls", "Radioti - en spændende aktivitet.<p>Radioti er en ikke kommerciel radiostation der sætter livsfilosofien til debat. Radioti blev startet i 1993 af og for mennesker med psykosociale lidelser.<p>Har du noget på hjertet og vil du gerne formidle det videre, så kontakt Radioti.<p>Har du lyst til at være aktiv sammen med en dynamisk gruppe, eller ønsker du at medvirke i enkelte udsendelser, eller måske prøve kræfter som tekniker, så kan du også kontakte Radioti.<p>Der bliver sat fokus på alle sider af livet. Vi arbejder udfra en psykosocial vinkel, der kan være med til at sætte psykiatrien under debat.<p>Der vil også være mulighed for at lave multimedie opgaver, som f.eks. web-design, musikproduktion og anden elektronisk formidling. Vi har til huse et sted, hvor mulighederne er mangfoldige.<p>Sender ikke hele døgnet." ),
    new Station( "Radio Klassisk", "http://onair.100fmlive.dk/klassisk_live.mp3", "Radio Klassisk er en radiostation der vil formidle den klassiske musik på en moderne, passioneret, vidende og underholdende måde.<p>Den etableres i samarbejde med de 5 landsdelsorkestre (Odense Symfoniorkester, Sjællands Symfoniorkester, Sønderjyllands Symfoniorkester, Aalborg Symfoniorkester og Aarhus Symfoniorkester).<p>Det er et unikt samarbejde som ikke er set lige andre steder og som betyder at man som lytter vil få en klassisk radiokanal, der tager afsæt i det klassiske musikliv i Danmark." ),
    new Station( "Radio Løvetimen", "http://media.xstream.dk/fck", "Alle hverdage fra 17 til 18 sender Radio Løvetimen live med aktuelle indslag, interviews og konkurrencer.<p>Radio Løvetimen er et samarbejde mellem F.C. København og Xstream." ),
    new Station( "Radio Shalom", "http://studie.radioshalom.dk:8000/live_128.mp3", "Kom tættere på jødisk liv - lyt til Radio Shalom.<p>Radio Shalom beskæftiger sig med alle sider af jødisk kultur, religion og historie, herunder også Israel." ),
    new Station( "Vibe FM", "http://stream.vibefm.dk:9020/live.m3u", "Den 1. februar 2012 blev en ny dansk ungdomsradio født. Radiostationen VibeFM, som allerede fra start forsøger at arbejde sig frem i fødekæden ved at kalde sig \"Hele Danmarks Ungdomsradio\", gik i luften ved åbent hus på Bretteville Hotspot i Aalborg, hvor de lokale \"The Rosie Way\" spillede dejlig rockmusik i baggrunden, og hvor vi finder studierne til VibeFM.<p> Siden den dag har de sendt mainstream musik, gode klasikkere, det nyeste fra Dance Chart'en hver aften og oveni hatten tilbudt unge bands og musikere fra hele Danmark at få deres demobånd spillet i radioen som kan høres på nettet.<p> Idéen til VibeFM, om at starte en radiostation for unge, opstod i en drøm som radiochef Daniel Frank har haft, siden han for første gang i 2005 fik foden indenfor i radiobranchen på en lokal radiostation på Mors. Det var også her han og DJ Richard Evaristo mødte hinanden for første gang. I januar 2012 teamer de to ildsjæle op og beslutter sig for et samarbejde." )
);


function DanishStreamsService()
{
    ScriptableServiceScript.call( this, "Dansk netradio", 2, "En liste med danske radio-streams", "En samling af danske radio-streams.", true);
    Amarok.debug( "ok." );
}

function onConfigure()
{
    Amarok.alert( "This script does not require configuring." );
}
function onPopulating( level, callbackData, filter )
{
	// For some reason Amarok appends a "%20", remove it
	filter = filter.toLowerCase().replace("%20","");

	if ( level == 1 )
	{
		for( att in categories )
		{
			if(filter.length > 0)
			{
				var hasItems = false;
				var stationArray = categories[att];
				for ( i = 0; i < stationArray.length; i++ )
				{
					if(stationArray[i].name.toLowerCase().indexOf(filter) != -1)
					{
						hasItems = true;
						break;
					}
				}
				if(!hasItems) continue;
			}

			var cover = Amarok.Info.scriptPath() + "/" + "radio.png";
			Amarok.debug ("att: " + att + ", " + categories[att].name);

			item = Amarok.StreamItem;
			item.level = 1;
			item.callbackData = att;
			item.itemName = att;
			item.playableUrl = "";
			item.infoHtml = "";
			item.coverUrl = cover;
			script.insertItem( item );

		}
		script.donePopulating();
	}
	else if ( level == 0 )
	{
		Amarok.debug( " Populating station level..." );
		//add the station streams as leaf nodes

		var stationArray = categories[callbackData];

		for ( i = 0; i < stationArray.length; i++ )
		{
			name = stationArray[i].name;
			if(name.toLowerCase().indexOf(filter) == -1) continue;
			item = Amarok.StreamItem;
			item.level = 0;
			item.callbackData = "";
			item.itemName = stationArray[i].name;
			item.playableUrl = stationArray[i].url;
			item.album = stationArray[i].name;
			item.infoHtml = stationArray[i].description;
			item.artist = "Netradio";
			item.coverUrl = cover;
			script.insertItem( item );
		}
		script.donePopulating();
	}
}



function onCustomize() {
    var currentDir = Amarok.Info.scriptPath() + "/";
    var iconPixmap = new QPixmap(currentDir+"icon.png");
    script.setIcon(iconPixmap);
}

Amarok.configured.connect( onConfigure );

script = new DanishStreamsService();
script.populate.connect( onPopulating );
script.customize.connect( onCustomize );
